%global srcname pysmi

%{?python_disable_dependency_generator}

Summary:        A Python implementation of SNMP/SMI MIB parsing and conversion library
Name:           python-smi
Version:        0.3.4
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/etingof/pysmi
Source0:        %{pypi_source}

BuildArch:      noarch

%description
PySMI is a pure-Python implementation of SNMP SMI MIB parser. This tool is designed to turn ASN.1
MIBs into various formats. As of this moment, JSON and pysnmp modules can be generated from ASN.1
MIBs.

- Understands SMIv1, SMIv2 and de-facto SMI dialects
- Turns MIBs into pysnmp classes and JSON documents
- Maintains an index of MIB objects over many MIB modules
- Automatically pulls ASN.1 MIBs from local directories, ZIP archives, HTTP and FTP servers

%package -n python3-smi
Summary:        A Python implementation of SNMP/SMI MIB parsing and conversion library
BuildRequires:  python3-devel python3-setuptools python3-ply

%description -n python3-smi
PySMI is a pure-Python implementation of SNMP SMI MIB parser. This tool is designed to turn ASN.1
MIBs into various formats. As of this moment, JSON and pysnmp modules can be generated from ASN.1
MIBs.

- Understands SMIv1, SMIv2 and de-facto SMI dialects
- Turns MIBs into pysnmp classes and JSON documents
- Maintains an index of MIB objects over many MIB modules
- Automatically pulls ASN.1 MIBs from local directories, ZIP archives, HTTP and FTP servers

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/mibcopy.py %{buildroot}%{_bindir}/mibcopy
mv %{buildroot}%{_bindir}/mibdump.py %{buildroot}%{_bindir}/mibdump

%files -n python3-smi
%license LICENSE.rst
%doc CHANGES.rst README.md THANKS.txt TODO.txt examples/*.py
%{_bindir}/mibcopy
%{_bindir}/mibdump
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{srcname}/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Shuo Wang <abushwang@tencent.com> - 0.3.4-1
- initial build
